package handlers

import (
	"fmt"
	"net/http"

	"git.agecem.com/agecem/bottin-agenda/data"
	"git.agecem.com/agecem/bottin-agenda/responses"
	"github.com/labstack/echo/v4"
)

func PostSeed(c echo.Context) error {
	var response responses.PostSeedResponse
	var statusCode int = http.StatusInternalServerError

	client, err := data.NewDataClientFromViper()
	if err != nil {
		response.Message = fmt.Sprintf("Error during data.NewDataClientFromViper(): %s", err)

		return c.JSON(statusCode, response)
	}

	_, err = client.Seed()
	if err != nil {
		response.Message = fmt.Sprintf("Error during client.Seed(): %s", err)

		return c.JSON(statusCode, response)
	}

	response.Message = "Seed seems successful"

	statusCode = http.StatusOK

	return c.JSON(statusCode, response)
}
